Subject: Re: [0/14] Ebony support, 2nd spin

From: David Gibson <[email-masked]>
Date: Wed, 21 Feb 2007 11:35:58 +1100

On Tue, Feb 20, 2007 at 03:16:24PM +0100, Arnd Bergmann wrote:
> On Tuesday 20 February 2007 15:05, Josh Boyer wrote:
> > Which probably has something to do with the of_serial driver being used
> > now.  Just an FYI.
> 
> If you want to use of_serial together with serial console, you need
> to make sure that the detection logic in arch/powerpc/kernel/legacy_serial.c
> finds the port. It currently finds the serial port on axon, but that
> requires that the bus it's on is of type "opb" and the device itself
> is listed as "stdout" and has type "serial" and is compatible with
> "ns16750" (note: the others look for "ns16550" here).

Err.. no.  On my system legacy_serial doesn't touch the ports, but I'm
getting console output via of_serial just fine.  The console is
initialized rather later than would be ideal, but it works.

I know that BenH has expressed the strong preference that
legacy_serial should be reverted to only handling legacy ISA ports,
not SoC and other hardwired ports.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson